###
### Copyright (C) HWPORT.COM
### All rights reserved.
### Author: JAEHYUK CHO <mailto:minzkn@hwport.com>
###

# ----
.PHONY: sqlite3
sqlite3: $(PATH_BUILD_PROFILE)/.keep $(PATH_BUILD_PROFILE)/sqlite-autoconf-3070900/.thirdparty_done
	@$(ECHO) "[IN] import module. ($(@))"
$(PATH_BUILD_PROFILE)/sqlite-autoconf-3070900/.thirdparty_done: $(PATH_CURRENT)/thirdparty_source/sqlite-autoconf-3070900.tar.gz
	@$(ECHO) "[$(COLOR_YELLOW)**$(COLOR_NORMAL)] $(INDENT)unpacking... ($(COLOR_RED)$(notdir $(<))$(COLOR_NORMAL) => $(COLOR_BLUE)$(dir $(@))$(COLOR_NORMAL))"
	@[ -d "$(dir $(@))" ] && \
	    $(ECHO) "[$(COLOR_YELLOW)**$(COLOR_NORMAL)] $(INDENT)purging... ($(COLOR_BLUE)$(dir $(@))$(COLOR_NORMAL))"; \
	    $(RMDIR) "$(dir $(@))"
	@$(TAR) -xzf "$(<)" -C "$(PATH_BUILD_PROFILE)"
	@$(ECHO) "[$(COLOR_YELLOW)**$(COLOR_NORMAL)] $(INDENT)configuring... ($(COLOR_BLUE)$(dir $(@))$(COLOR_NORMAL))"
	@$(CHDIR) "$(dir $(@))" \
	    && ./configure \
	    --prefix='/usr' \
	    --build='$(shell $(HOST_CC) -dumpmachine)' \
	    --host='$(shell $(CC) -dumpmachine)' \
	    --target='$(shell $(CC) -dumpmachine)' \
	    CC='$(CC)' \
	    AR='$(AR)' \
	    CPP='$(CPP)' \
	    RANLIB='$(RANLIB)' \
	    CFLAGS='-I$(abspath $(PATH_BUILD_LOCAL)/usr/include)' \
	    LDFLAGS='-L$(abspath $(PATH_BUILD_LOCAL)/usr/lib)' \
	    --enable-threadsafe \
	    >> $(LOGFILE) 2>&1
	@$(ECHO) "[$(COLOR_YELLOW)**$(COLOR_NORMAL)] $(INDENT)building... ($(COLOR_BLUE)$(dir $(@))$(COLOR_NORMAL))"
	@$(MAKE) \
	    DESTDIR="$(abspath $(PATH_BUILD_LOCAL))" \
	    --no-print-directory \
	    --directory="$(dir $(@))" \
	    install \
	    >> $(LOGFILE) 2>&1
	@$(ECHO) "[$(COLOR_YELLOW)**$(COLOR_NORMAL)] $(INDENT)fixing... ($(COLOR_BLUE)$(dir $(@))$(COLOR_NORMAL))"
	@$(SED) -i -e "s,^libdir=\(.*\)$$,libdir=$(abspath $(PATH_THIRDPARTY_LOCAL)/usr/lib)," "$(PATH_BUILD_LOCAL)/usr/lib/libsqlite3.la"
	@$(TOUCH) "$(@)"
# ----

# End of thirdparty.mk
